Bug 1861304 - panic: runtime error: index out of range
Summary: panic: runtime error: index out of range
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-28 09:16 UTC by Catherine_H
Modified: 2020-09-22 08:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Image registry purging process running over s3 storage was listing a directory twice, first as a directory and later as a file. Consequence: Purging was failing when parsing the path for the directory (received as file), causing an invalid memory access (panic) Fix: Updated s3 driver to avoid listing a directory twice during path walk. Result: By avoiding listing a directory as a file allowed the image purging process to finish successfully.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift image-registry pull 246 None open Bug 1861304: Bump github.com/openshift/docker-distribution 2020-09-21 09:37:48 UTC

Comment 5 Ricardo Maraschini 2020-08-21 12:40:20 UTC
Postponed due to high priority tasks.

Comment 6 Ricardo Maraschini 2020-09-09 14:02:32 UTC
PR created upstream: https://github.com/docker/distribution/pull/3248

Comment 8 Ricardo Maraschini 2020-09-15 10:32:28 UTC
Let's try to get this in 4.6.

Comment 10 Wenjing Zheng 2020-09-22 08:38:58 UTC
Verified on 4.6.0-0.nightly-2020-09-21-230455:
1. set up s3fs locally https://github.com/s3fs-fuse/s3fs-fuse/ and mount s3 bucket
2. cd /mnt/s3bucket/docker/registry/v2/repositories;mkdir fakeimage
3. purge load happens and no panic appears.


Note You need to log in before you can comment on or make changes to this bug.